GSL - GNU Scientific Library for Khepera
========================================


This is GSL, the GNU Scientific Library, a collection of numerical
routines for scientific computing build for the Khepera III arm.
The 1.12 version was successfully ported onto KheperaIII.

Build
=====

This version of GSL followed a standard GNU installation procedure

Configure options

  ./configure --host=arm-linux CC=arm-angstrom-linux-gnueabi-gcc \
    LD=arm-angstrom-linux-gnueabi-ld AR=arm-angstrom-linux-gnueabi-ar \
    AS=arm-angstrom-linux-gnueabi-as \ 
    RANLIBarm-angstrom-linux-gnueabi-ranlib \
    --prefix=~/tmp/gsl \
    --disable-shared

Build

   make


Install is here meant to retrieve necessary files (includes and libs)

   make install


Installation
============
Copy includes from the {prefix dir}/include to the gsllib module folder
Copy static lib from the {prefix dir}/lib to the gsllib module folder
In the gsllib module folder, rename *.a to *_arm.a in order to be compatible
with EPLF toolbox application builds.  


Usage 
=====

Just add standard gsl include in your programs and specify that gsllib 
module is used in the makefile. See testgsl sample application
